Subject: bug#43501: gst-plugins-bad cannot be built on linux-armhf

From: Mark H Weaver <[email-masked]>
Date: Sat, 26 Sep 2020 14:57:33 -0400

Hi Maxim,

Apologies for the delayed response.

Maxim Cournoyer <[email-masked]> writes:

> Maxim Cournoyer <[email-masked]> writes:
>
>> Mark H Weaver <[email-masked]> writes:
>>
>>> --- a/gnu/packages/spice.scm
>>> +++ b/gnu/packages/spice.scm
>>> @@ -144,11 +144,8 @@ which allows users to view a desktop computing environment.")
>>>      (build-system gnu-build-system)
>>>      (propagated-inputs
>>>        `(("gstreamer" ,gstreamer)
>>> -        ("gst-libav" ,gst-libav)
>>
>> I feel less strongly about this one, perhaps because its name doesn't
>> contain "bad" or "ugly" ;-).  Why should we remove it?

Like 'gst-plugins-ugly', it also contains patent-encumbered codecs via
'ffmpeg'.  However, I acknowledge that several important packages in
Guix depend directly on 'ffmpeg', and therefore more work would be
needed to achieve the goal of allowing Guix users to avoid installing
patent-encumbered codecs while still having a modern desktop
environment.

>>>          ("gst-plugins-base" ,gst-plugins-base)
>>>          ("gst-plugins-good" ,gst-plugins-good)
>>> -        ("gst-plugins-bad" ,gst-plugins-bad)
>>> -        ("gst-plugins-ugly" ,gst-plugins-ugly)
>>>          ("spice-protocol" ,spice-protocol)
>
>> I agree philosophically, but I feel we need more testing of the spice
>> part, to know what we're loosing, if we're loosing anything.  I'll try
>> rebuilding qemu with this patch and test gnome-boxes, which must make
>> use of spice-gtk.
>
> I've now done so, and could run a foreign distribution that I had
> already installed without any perceived difference.
>
> I've pushed this as 035df987f1.  Editing the title to reflect the fact
> that QEMU is no longer affected by this problem.

Thank you for taking care of this, Maxim!

     Best,
      Mark